Get Transaction Info by Transaction Hash
curl --request GET \
--url 'https://eth.blockscout.com/api/?module=transaction&action=gettxinfo'import requests
url = "https://eth.blockscout.com/api/?module=transaction&action=gettxinfo"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://eth.blockscout.com/api/?module=transaction&action=gettxinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": {
"blockNumber": "<string>",
"timeStamp": "<string>",
"hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"nonce": "<string>",
"blockHash": "<string>",
"transactionIndex": "<string>",
"from": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"to": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"value": "<string>",
"gas": "<string>",
"gasPrice": "<string>",
"input": "<string>",
"contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"cumulativeGasUsed": "<string>",
"gasUsed": "<string>",
"confirmations": "<string>"
}
}Transaction
Get Transaction Info by Transaction Hash
Returns transaction information including revert reason if available
GET
/
?module=transaction&action=gettxinfo
Get Transaction Info by Transaction Hash
Query Parameters
Module name (must be 'transaction')
Available options:
transaction Available options:
gettxinfo Transaction hash 64-character hexadecimal transaction hash with 0x prefix
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
Was this page helpful?
⌘I